libCrun.so.1: version ‘SUNW_1.6’ not found

We were getting the errors below issue when trying to launch a program on Solaris 11.2:

ld.so.1: am: fatal: libCrun.so.1: version 'SUNW_1.6' not found (required by file prog)
ld.so.1: am: fatal: /usr/lib/libCrun.so.1: wrong ELF class: ELFCLASS32

I quickly recognized the ELFCLASS32, but needed to do a little research to get to the bottom of the "libCrun.so.1: version 'SUNW_1.6' not found"

1) fatal: (more...)